Bug 357021 - Create tool to manipulate taxonomy information
Create tool to manipulate taxonomy information
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
XPlanner-18021
:
Depends On:
Blocks: 427534 427574
  Show dependency treegraph
 
Reported: 2007-10-29 13:57 EDT by James Bowes
Modified: 2013-01-10 04:56 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 16:28:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 James Bowes 2008-01-04 15:14:40 EST
For each taxonomy type of productmaker, productcategory, productname, trimline,
and releasestate, the tool should be able to:
list all labels of the entries for that type
add a new entry of that type given a name and a label
update an entry of that type given a label and a name
delete an entry of that type given a label
display the details (label, name) of an entry of that type given a label
Comment 3 James Bowes 2008-01-07 08:12:45 EST
Requires:
http://brewweb.devel.redhat.com/brew/getfile?taskID=1095868&name=rhn-content-mgmt-0.4.4-1.noarch.rpm

To test:
 - As listed in comment #1, for each of the taxonomy types (maker, category, 
   name, trimline, and releasestate), you should be able to perform all actions
   (list, create, read, update, and delete).
 - Commands are of the form rhn-taxonomy ACTION TAXONOMY_TYPE <extra parameters>
   e.g. rhn-taxonomy list maker
        rhn-taxonomy read releasestate beta
 - Actions should display appropriate error messages when you try to modify or 
   view something that does not exist, or create something that already exists.
   e.g. rhn-taxonomy create maker james "James makes stuff in rhn"
   Should display an error message if there is already a maker with the label 
   'james'
  

 
 
Comment 5 James Bowes 2008-01-09 15:22:24 EST
I added text about commit in 0.4.6. Integrity constraints are trickier,
depending on when we go to qa it might not fit in.

Note You need to log in before you can comment on or make changes to this bug.